DOSDAT ; dosdatak/asm
 ;
 ; following is the RTC interrupt service table
 ;
 ;	16 entries maximum (0-15) (64 bytes long)
 ;	this table may cross a page boundary
 ;	each entry is 4 bytes long
 ;	first 2 bytes is the address of the subroutine
 ;	if 0000, then the entry is nil (not executed)
 ;	the 3rd byte is a countdown byte this is used
 ;	to time the event in 'heartbeats'.  The 4th
 ;	byte is the reset byte for the countdown.
 ;
 RTCTBL	DEFW	0	;-00
 	DEFW	0
 	DEFW	0	;-01
 	DEFW	0
 	DEFW	0	;-02
 	DEFW	0
 	DEFW	0	;-03
 	DEFW	0
 	DEFW	0	;-04
 	DEFW	0
 	DEFW	0	;-05
 	DEFW	0
 	DEFW	0	;-06
 	DEFW	0
 	DEFW	0	;-07
 	DEFW	0
 	DEFW	0	;-08
 	DEFW	0
 	DEFW	PRTASK	;-09 / printer spooler
 	DEFW	0101H	;every 'beat'
 	DEFW	CLTASK	;-10 / clock
 	DEFW	3030H	;once each second
 	DEFW	TRTASK	;-11 / trace
 	DEFW	0101H	;every 'beat'
 	DEFW	ALTASK	;-12 / alive
 	DEFW	0A0AH	;3 times/second
 	DEFW	TMRTASK	;-13, user timer processor
 	DEFW	0101H	;every 'beat'
 	DEFW	HLDTASK	;-14, hold processor
 	DEFW	0101H	;every 'beat'
 	DEFW	BRKTASK	;-15, break processor
 	DEFW	0101H	;every 'beat'
 ;
 ; the following is the data area for the clock
 ; the tables must be wholly within a page
 ;
 TIME$	DEFB	0	;ticks
 	DEFB	0	;seconds
 	DEFB	0	;minutes
 	DEFB	0	;hours
 DATE$	DEFB	1	;day of week
 	DEFB	1	;month
 	DEFB	0	;year -1900
 ;
 ; following is a table of maximum time values
 ;	(must be contiguous with the $TIME table
 ;	and on the same page)
 ;
 TIMETBL	DEFB	30	;ticks / second
 	DEFB	60	;max seconds
 	DEFB	60	;max minutes
 	DEFB	24	;max hours
 ;
 ; following is a list of days in each month
 ; leap years are adjusted for february (contiguous)
 ;
 MONTHS	DEFB	31	;jan
 	DEFB	28	;feb (leap years adjusted)
 	DEFB	31	;march
 	DEFB	30	;april
 	DEFB	31	;may
 	DEFB	30	;june
 	DEFB	31	;july
 	DEFB	31	;august
 	DEFB	30	;sept
 	DEFB	31	;oct
 	DEFB	30	;nov
 	DEFB	31	;dec
 ;
 ; flags and data external to DCB's
 ;
 FLAGK1	DEFB	0	;flag1
 ;7 - break processor / 1=ACTIVE, 0=INACTIVE
 ;6 - break in buffer / 1=YES, 0=NO
 ;5 - hold processor / 1=ACTIVE, 0=INACTIVE
 ;4 - hold in buffer / 1=YES, 0=NO
 ;3 - user timer / 1=ACTIVE, 0=INACTIVE
 ;2 - debug flag / 1=ON, 0=OFF
 ;1 - debug active / 1=EXECUTE, 0=NOT
 ;0 - 
 FLAGK2	DEFB	0	;flag2
 ;7 - clock / 1=ON, 0=OFF
 ;6 - trace / 1=ON, 0=OFF
 ;5 - alive / 1=ON, 0=OFF
 ;4 - 
 ;3 - 
 ;2 - 
 ;1 - 
 ;0 - 
 FLAGK3	DEFB	0	;flag3
 ;7 - 
 ;6 - 
 ;5 - 
 ;4 - 
 ;3 - 
 ;2 - 
 ;1 -
 ;0 - 
 ;
 DATAK1	DEFB	0	;user timer counter
 DATAK2	DEFW	TMRVEC	;user timer vector
 DATAK3	EQU	$-1
 DATAK4	DEFW	BRKVEC	;break processor vector
 DATAK5	EQU	$-1
 DATAK6	DEFW	HLDVEC	;hold processor vector
 DATAK7	EQU	$-1
 DATAK8	DEFB	0
 DATAK9	DEFB	0
 DATAK10	DEFB	0
 DATAK11	DEFB	0
 *EJECT
 ;
 	END
