DOSDCB ; dosdcbk/asm
 ;
 ; definition of SIO DCB
 ;
 ;+05	7 - channel active / 1=NO, 0=YES
 ;	6 - input translation / 1=ON, 0=OFF
 ;	5 - output translation / 1=ON, 0=OFF
 ;	4 - @CTRL call / 1=YES, 0=NO
 ;	3
 ;	2
 ;	1
 ;	0
 ;+06,07	- SIO parameter list address (for init only)
 ;+08	- SIO base port (status)
 ;+09	- CTC #1 port
 ;+10	- CTC #2 port
 ;+11	- word length mask
 ;+12	- error mask
 ;+13	- CTC R5 mask (for @CTRL use)
 ;+14,15	- input buffer base address
 ;+16,17	- buffer length
 ;+18,19	- char counter
 ;+20,21	- adder offset
 ;+22,23	- taker offset
 ;+24,25	- input translation table address
 ;+26	- table length
 ;+27,28	- output translation table address
 ;+29	- table length
 ;
 CADCB	DEFB	3	;type flag (input/output)
 	DEFW	SIOCODE	;driver address
 	DEFW	0	;linking/routing DCB
 	DEFB	80H	;+5, channel inactive
 	DEFW	SIOA	;+6-7, init parameter table
 	DEFB	0F6H	;+8, SIO base port
 	DEFB	0F0H	;+9, CTC port #1
 	DEFB	0F1H	;+10, CTC port #2
 	DEFB	0FFH	;+11, word length mask
 	DEFB	0	;+12, error mask
 	DEFB	0	;+13, CTC R5 parameter mask
 	DEFW	SIOABUF	;+14-15, input buffer start
 	DEFW	20	;+16-17, buffer length
 	DEFW	0	;+18-19, char counter
 	DEFW	0	;+20-21, adder offset
 	DEFW	0	;+22-23, taker offset
 	DEFW	0	;+24-25, input xlate table
 	DEFB	0	;+26, table length
 	DEFW	0	;+27-28, output xlate table
 	DEFB	0	;+29, length
 ;
 CBDCB	DEFB	3	;type flag (input/output)
 	DEFW	SIOCODE	;driver address
 	DEFW	0	;linker/router
 	DEFB	80H	;inactive
 	DEFW	SIOB	;parameter list
 	DEFB	0F7H	;base port
 	DEFB	0F2H	;CTC #1 port
 	DEFB	0	;CTC #2 port (dummy)
 	DEFB	0FFH	;word length mask
 	DEFB	0	;error mask
 	DEFB	0	;CTC R5 mask
 	DEFW	SIOBBUF	;input buffer start
 	DEFW	20	;length
 	DEFW	0	;counter
 	DEFW	0	;adder offset
 	DEFW	0	;taker offset
 	DEFW	0	;input xlate table
 	DEFB	0	;length
 	DEFW	0	;output xlate table
 	DEFB	0	;length
 ;
 ; definition of printer DCB
 ;
 ;+05	7 - parallel/serial / 1=serial, 0=parallel
 ;	6 - translation / 1=ON, 0=OFF
 ;	5 - LF on CR / 1=ON, 0=OFF
 ;	4 - graphics enable / 1=YES, 0=NO
 ;	3 - locase enable / 1=YES, 0=NO
 ;	2 - transparent mode / 1=YES, 0=NO
 ;	1 - form feeds / 1=real, 0=soft FF
 ;	0 - tabs / 1=real, 0=soft (spaces)
 ;+06	- printed lines/page
 ;+07	- page length
 ;+08	- line counter
 ;+09	- max chars/line
 ;+10	- char counter
 ;+11,12	- spool buffer address
 ;+13,14	- spool buffer length
 ;+15,16	- spool counter
 ;+17,18	- add to buffer offset
 ;+19,20	- take from buffer offset
 ;+21,22	- translation table address
 ;+23	- translation table length
 ;
 PDCB	DEFB	6	;+0, type flag (input/ctrl)
 	DEFW	PRTCODE	;+1-2, driver address
 	DEFW	0	;+3-4, linker/router DCB
 	DEFB	0	;+5, operation flag
 	DEFB	60	;+6, printed lines/page
 	DEFB	66	;+7, page length
 	DEFB	0	;+8, line counter
 	DEFB	132	;+9, max chars/line
 	DEFB	0	;+10, char counter
 	DEFW	PRTBUFF	;+11-12, spool buffer address
 	DEFW	20	;+13-14, spool buffer length
 	DEFW	0	;+15-16, spool counter
 	DEFW	0	;+17-18, adder offset
 	DEFW	0	;+19-20, taker offset
 	DEFW	0	;+21-22, translate table address
 	DEFB	0	;+23, translate table length
 ;
 ; definition of keyboard DCB
 ;
 ;+05 -	7 - translation table / 1=ON, 0=OFF
 ;	6 - set if call made via @CTRL (wait for key)
 ;	5 - unused
 ;	4 - unused
 ;	3 - unused
 ;	2 - unused
 ;	1 - type ahead buffer overflow / 1=YES, 0=NO
 ;	0 - unused
 ;+06,07 - type ahead buffer address
 ;+08    - max char count buffer
 ;+09	- chars in buffer
 ;+10	- add to buffer offset
 ;+11	- take from buffer offset
 ;+12,13	- translation table address
 ;+14	- # entries in translation table
 ;+15	- unused
 ;
 KDCB	DEFB	5	;+0, type flag (input/ctrl)
 	DEFW	KBDCODE	;+1-2, driver address
 	DEFW	0	;+3-4, linker/router
 	DEFB	0	;+5, operation flag
 	DEFW	KBDBUFF	;+6-7, type ahead buffer address
 	DEFB	80	;+8, max buffer length
 	DEFB	0	;+9, chars in buffer
 	DEFB	0	;+10, adder offset
 	DEFB	0	;+11, taker offset
 	DEFW	0	;+12-13, xlate table address
 	DEFB	0	;+14, xlate table length
 	DEFB	0	;+15, unused
 ;
 	END
